=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-7-alpha-generic [alpha], linux-image-4.9.0-7-alpha-smp [alpha], linux-image-4.9.0-7-amd64 [amd64], linux-image-4.9.0-7-rt-amd64 [amd64], linux-image-4.9.0-7-arm64 [arm64], linux-image-4.9.0-7-marvell [armel], linux-image-4.9.0-7-armmp [armhf], linux-image-4.9.0-7-armmp-lpae [armhf], linux-image-4.9.0-7-parisc [hppa], linux-image-4.9.0-7-parisc64-smp [hppa], linux-image-4.9.0-7-686 [i386], linux-image-4.9.0-7-686-pae [i386], linux-image-4.9.0-7-rt-686-pae [i386], linux-image-4.9.0-7-m68k [m68k], linux-image-4.9.0-7-4kc-malta [mips mipsel], linux-image-4.9.0-7-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-7-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-7-loongson-3 [mipsel mips64el], linux-image-4.9.0-7-powerpc [powerpc], linux-image-4.9.0-7-powerpc-smp [powerpc], linux-image-4.9.0-7-powerpc64 [powerpc ppc64], linux-image-4.9.0-7-powerpcspe [powerpcspe], linux-image-4.9.0-7-powerpc64le [ppc64el], linux-image-4.9.0-7-s390x [s390x], linux-image-4.9.0-7-sh7751r [sh4], linux-image-4.9.0-7-sh7785lcr [sh4], linux-image-4.9.0-7-sparc64 [sparc64], linux-image-4.9.0-7-sparc64-smp [sparc64]
Classes: smp
