## linux 4.9.130

=== debian/changelog ===
linux (4.9.130-2) stretch; urgency=medium

  [ Salvatore Bonaccorso ]
  * Ignore ABI change for return_address.
    Fixes "FTBFS on armel/armhf: ABI change for return_address".
    Modules will use their own inline copy.
    Thanks to Cyril Brulebois for the analysis (Closes: #911421)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 27 Oct 2018 19:46:16 +0100

linux (4.9.130-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.111
    - [x86] spectre_v1: Disable compiler optimizations over
      array_index_mask_nospec()
    - [x86] mce: Improve error message when kernel cannot recover
    - [x86] mce: Check for alternate indication of machine check recovery on
      Skylake
    - [x86] mce: Fix incorrect "Machine check from unknown source" message
    - [x86] mce: Do not overwrite MCi_STATUS in mce_no_way_out()
    - [x86]  Call fixup_exception() before notify_die() in math_error()
    - [m68k] mm: Adjust VM area to be unmapped by gap size for __iounmap()
    - [sh4] serial: sh-sci: Use spin_{try}lock_irqsave instead of open coding
      version
    - usb: do not reset if a low-speed or full-speed device timed out
    - 1wire: family module autoload fails because of upper/lower case
      mismatch.
    - ASoC: dapm: delete dapm_kcontrol_data paths list before freeing it
    - lib/vsprintf: Remove atomic-unsafe support for %pCr
    - [mips*] ftrace: fix static function graph tracing
    - branch-check: fix long->int truncation when profiling branches
    - ipmi:bt: Set the timeout before doing a capabilities check
    - Bluetooth: hci_qca: Avoid missing rampatch failure with userspace fw
      loader
    - fuse: atomic_o_trunc should truncate pagecache
    - fuse: don't keep dead fuse_conn at fuse_fill_super().
    - fuse: fix control dir setup and teardown
    - [powerpc*] mm/hash: Add missing isync prior to kernel stack SLB switch
    - [powerpc*] ptrace: Fix setting 512B aligned breakpoints with
      PTRACE_SET_DEBUGREG
    - [powerpc*] /ptrace: Fix enforcement of DAWR constraints
    - [powerpc*] powernv/ioda2: Remove redundant free of TCE pages
    - [poewrpc*] cpuidle: powernv: Fix promotion from snooze if next state
      disabled
    - [powerpc*] fadump: Unregister fadump on kexec down path.
    - [arm*] 8764/1: kgdb: fix NUMREGBYTES so that gdb_regs[] is the correct
      size
    - [arm64] kpti: Use early_param for kpti= command-line option
    - [arm64] mm: Ensure writes to swapper are ordered wrt subsequent cache
      maintenance
    - IB/qib: Fix DMA api warning with debug kernel
    - IB/{hfi1, qib}: Add handling of kernel restart
    - IB/mlx5: Fetch soft WQE's on fatal error state
    - IB/isert: Fix for lib/dma_debug check_sync warning
    - IB/isert: fix T10-pi check mask setting
    - RDMA/mlx4: Discard unknown SQP work requests
    - mtd: cfi_cmdset_0002: Change write buffer to check correct value
    - mtd: cfi_cmdset_0002: Use right chip in do_ppb_xxlock()
    - mtd: cfi_cmdset_0002: fix SEGV unlocking multiple chips
    - mtd: cfi_cmdset_0002: Fix unlocking requests crossing a chip boudary
    - mtd: cfi_cmdset_0002: Avoid walking all chips when unlocking.
    - PCI: Add ACS quirk for Intel 7th & 8th Gen mobile
    - PCI: Add ACS quirk for Intel 300 series
    - PCI: pciehp: Clear Presence Detect and Data Link Layer Status Changed on
      resume
    - printk: fix possible reuse of va_list variable
    - [mips*] io: Add barrier after register read in inX()
    - time: Make sure jiffies_to_msecs() preserves non-zero time periods
    - Btrfs: fix return value on rename exchange failure
    - Btrfs: fix unexpected cow in run_delalloc_nocow
    - iio:buffer: make length types match kfifo types
    - scsi: qla2xxx: Fix setting lower transfer speed if GPSC fails
    - [s390x] scsi: zfcp: fix missing SCSI trace for result of
      eh_host_reset_handler
    - [s390x] scsi: zfcp: fix missing SCSI trace for retry of abort / scsi_eh
      TMF
    - [s390x] scsi: zfcp: fix misleading REC trigger trace where erp_action
      setup failed
    - [s390x] scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
      early return
    - [s390x] scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
      for ERP_FAILED
    - [s390x] scsi: zfcp: fix missing REC trigger trace for all objects in
      ERP_FAILED
    - [s390x] scsi: zfcp: fix missing REC trigger trace on enqueue without ERP
      thread
    - linvdimm, pmem: Preserve read-only setting for pmem devices
    - md: fix two problems with setting the "re-add" device state.
    - ubi: fastmap: Cancel work upon detach
    - ubi: fastmap: Correctly handle interrupted erasures in EBA
    - UBIFS: Fix potential integer overflow in allocation
    - [x86] mfd: intel-lpss: Program REMAP register in PIO mode
    - perf tools: Fix symbol and object code resolution for vdso32 and vdsox32
    - perf intel-pt: Fix sync_switch INTEL_PT_SS_NOT_TRACING
    - perf intel-pt: Fix decoding to accept CBR between FUP and corresponding
      TIP
    - perf intel-pt: Fix MTC timing after overflow
    - perf intel-pt: Fix "Unexpected indirect branch" error
    - perf intel-pt: Fix packet decoding of CYC packets
    - media: v4l2-compat-ioctl32: prevent go past max size
    - media: cx231xx: Add support for AverMedia DVD EZMaker 7
    - media: dvb_frontend: fix locking issues at dvb_frontend_get_event()
    - nfsd: restrict rd_maxcount to svc_max_payload in nfsd_encode_readdir
    - NFSv4: Fix possible 1-byte stack overflow in
      nfs_idmap_read_and_verify_message
    - NFSv4: Revert commit 5f83d86cf531d ("NFSv4.x: Fix wraparound issues..")
    - video: uvesafb: Fix integer overflow in allocation (CVE-2018-13406)
    - Input: elan_i2c - add ELAN0618 (Lenovo v330 15IKB) ACPI ID
    - pwm: lpss: platform: Save/restore the ctrl register over a
      suspend/resume
    - rbd: flush rbd_dev->watch_dwork after watch is unregistered

